com.amazonaws.services.codedeploy.model

## Class AddTagsToOnPremisesInstancesRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.codedeploy.model.AddTagsToOnPremisesInstancesRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class AddTagsToOnPremisesInstancesRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

Represents the input of, and adds tags to, an on-premises instance operation.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`AddTagsToOnPremisesInstancesRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AddTagsToOnPremisesInstancesRequest` `clone()`
`boolean` `equals(Object obj)`
`List<String>` `getInstanceNames()` The names of the on-premises instances to which to add tags.
`List<Tag>` `getTags()` The tag key-value pairs to add to the on-premises instances.
`int` `hashCode()`
`void` `setInstanceNames(Collection<String> instanceNames)` The names of the on-premises instances to which to add tags.
`void` `setTags(Collection<Tag> tags)` The tag key-value pairs to add to the on-premises instances.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`AddTagsToOnPremisesInstancesRequest` `withInstanceNames(Collection<String> instanceNames)` The names of the on-premises instances to which to add tags.
`AddTagsToOnPremisesInstancesRequest` `withInstanceNames(String... instanceNames)` The names of the on-premises instances to which to add tags.
`AddTagsToOnPremisesInstancesRequest` `withTags(Collection<Tag> tags)` The tag key-value pairs to add to the on-premises instances.
`AddTagsToOnPremisesInstancesRequest` `withTags(Tag... tags)` The tag key-value pairs to add to the on-premises instances.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AddTagsToOnPremisesInstancesRequest

    public AddTagsToOnPremisesInstancesRequest()

### Method Detail

#### getTags

    public List<Tag> getTags()

The tag key-value pairs to add to the on-premises instances.

Keys and values are both required. Keys cannot be null or empty strings. Value-only tags are not allowed.

Returns:
  The tag key-value pairs to add to the on-premises instances.

  Keys and values are both required. Keys cannot be null or empty strings. Value-only tags are not allowed.

#### setTags

    public void setTags(Collection<Tag> tags)

The tag key-value pairs to add to the on-premises instances.

Keys and values are both required. Keys cannot be null or empty strings. Value-only tags are not allowed.

Parameters:
  `tags` - The tag key-value pairs to add to the on-premises instances.

  Keys and values are both required. Keys cannot be null or empty strings. Value-only tags are not allowed.

#### withTags

    public AddTagsToOnPremisesInstancesRequest withTags(Tag... tags)

The tag key-value pairs to add to the on-premises instances.

Keys and values are both required. Keys cannot be null or empty strings. Value-only tags are not allowed.

NOTE: This method appends the values to the existing list (if any). Use `setTags(java.util.Collection)` or `withTags(java.util.Collection)` if you want to override the existing values.

Parameters:
  `tags` - The tag key-value pairs to add to the on-premises instances.

  Keys and values are both required. Keys cannot be null or empty strings. Value-only tags are not allowed.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withTags

    public AddTagsToOnPremisesInstancesRequest withTags(Collection<Tag> tags)

The tag key-value pairs to add to the on-premises instances.

Keys and values are both required. Keys cannot be null or empty strings. Value-only tags are not allowed.

Parameters:
  `tags` - The tag key-value pairs to add to the on-premises instances.

  Keys and values are both required. Keys cannot be null or empty strings. Value-only tags are not allowed.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getInstanceNames

    public List<String> getInstanceNames()

The names of the on-premises instances to which to add tags.

Returns:
  The names of the on-premises instances to which to add tags.

#### setInstanceNames

    public void setInstanceNames(Collection<String> instanceNames)

The names of the on-premises instances to which to add tags.

Parameters:
  `instanceNames` - The names of the on-premises instances to which to add tags.

#### withInstanceNames

    public AddTagsToOnPremisesInstancesRequest withInstanceNames(String... instanceNames)

The names of the on-premises instances to which to add tags.

NOTE: This method appends the values to the existing list (if any). Use `setInstanceNames(java.util.Collection)` or `withInstanceNames(java.util.Collection)` if you want to override the existing values.

Parameters:
  `instanceNames` - The names of the on-premises instances to which to add tags.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withInstanceNames

    public AddTagsToOnPremisesInstancesRequest withInstanceNames(Collection<String> instanceNames)

The names of the on-premises instances to which to add tags.

Parameters:
  `instanceNames` - The names of the on-premises instances to which to add tags.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public AddTagsToOnPremisesInstancesRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`